### Name: net.addatt
### Title: Add Attributes to Segments of Stream Network
### Aliases: net.addatt
### Keywords: datagen manip

### ** Examples

  # Q model random net
  net <- net.qmodel (10)

  # add segments
  net <- net.addsegs (net)

  # add attribute based on normal distribution
  net <- net.addatt (net, name="normal", dist="Normal",
    boundscaling=TRUE, vector=FALSE)
  classes <- net.group (net, segatt="normal", ngroups=7,
    method="equalInterval")
  net.map (net, group=classes$group, lwd=2)
  net.map.key (0.8, 0.1, labels=round(classes$cuts, 2), 
    sep=0, head="normal", horizontal=FALSE)

  # make attribute based on log of shreve order
  att <- net.addatt (net, name="slope", func="Logarithmic",
    ind="shreve", outscaling=TRUE, vector=TRUE)
  att <- (1 - att) * 10
  classes <- net.group (net, att, ngroups=7,
    method="equalInterval")
  net.map (net, group=classes$group, lwd=2)
  net.map.key (0.6, 0.1, labels=round(classes$cuts, 0), 
    sep=0, head="log.shreve", horizontal=TRUE)



