### Name: net.autocorr.onelag
### Title: Calculate Autocorrelation Coefficient for Stream Segment
###   Attribute
### Aliases: net.autocorr.onelag
### Keywords: manip

### ** Examples

  # Q model random net
  net <- net.qmodel (5)
  net <- net.addsegs (net)
  dmat <- net.dist (net, ends=0.5, method="segment")

  # make rnorm and autocorrelated attributes
  att.rnorm <- net.addatt (net, dist="Normal",
    boundscaling=TRUE, vector=TRUE)
  att.autoc <- net.autocorr.att (net, dist=dmat, vector=TRUE,
    outscaling=TRUE) * 10

  # check autocorrelation
  net.autocorr.onelag (net, dist=dmat, segatt=att.rnorm)
  net.autocorr.onelag (net, dist=dmat, segatt=att.autoc)



