### Name: net.correlogram
### Title: Calculate Correlogram for Stream Segment Attribute
### Aliases: net.correlogram
### Keywords: manip

### ** Examples

  # Q model random net
  net <- net.qmodel (5)
  net <- net.addsegs (net)
  dmat <- net.dist (net, ends=0.5, method="segment")

  # make rnorm and autocorrelated attributes
  att.rnorm <- net.addatt (net, dist="Normal",
    boundscaling=TRUE, vector=TRUE)
  att.autoc <- net.autocorr.att (net, dist=dmat, vector=TRUE,
    outscaling=TRUE) * 10

  # plot correlograms
  cg1 <- net.correlogram (net, dist=dmat, segatt=att.rnorm)
  cg2 <- net.correlogram (net, dist=dmat, segatt=att.autoc)
  plot (cg1$lag, cg1$r, pch=19, type="b", ylim=c(-1,1), 
    main="Random Normal")
  plot (cg2$lag, cg2$r, pch=19, type="b", ylim=c(-1,1),
    main="Autocorrelated")



