### Name: net.group
### Title: Classify Stream Attribute for Mapping
### Aliases: net.group
### Keywords: manip

### ** Examples

  # Q model random net
  net <- net.qmodel (10)
  net <- net.addsegs (net)

  # classify some attributes
  class1 <- net.group (net, linkatt="shreve", 
    method="equalInterval")
  class2 <- net.group (net, segatt="length")
  att <- seq (nrow (net$segs))
  class3 <- net.group (net, segatt=att)

  # map
  n <- length (table (class1$group))
  net.map (net, group=class1$group, col=rev(terrain.colors(n)))
  n <- length (table (class2$group))
  net.map (net, group=class2$group, col=gray(0:n/n))
  n <- length (table (class3$group))
  net.map (net, group=class3$group, col=rainbow(n))



