### Name: net.map
### Title: Draw Map of Stream Network Attribute
### Aliases: net.map
### Keywords: hplot

### ** Examples

  # Q model random net
  net <- net.qmodel (10)
  net <- net.addsegs (net)

  # classify some attributes
  class1 <- net.group (net, linkatt="shreve", 
    method="equalInterval")
  class2 <- net.group (net, segatt="length")
  att <- seq (nrow (net$segs))
  class3 <- net.group (net, segatt=att)

  # map
  net.map (net) # just draw segments in black
  n <- length (table (class1$group))
  net.map (net, group=class1$group, col="black", lwd="seq")
  n <- length (table (class2$group))
  net.map (net, group=class2$group, col=gray(0:n/n),
    linkatt="strahler")
  n <- length (table (class3$group))
  net.map (net, group=class3$group, col=rainbow(n))



