### Name: net.maxupslope
### Title: Calculate Maximum Upslope Matrix for Stream Segments
### Aliases: net.maxupslope
### Keywords: manip

### ** Examples

  # Q model random net
  net <- net.qmodel (5)

  # add segments
  net <- net.addsegs (net)

  # upslope distance matrix
  slopes <- max (net$links$shreve) - 
    net$links$shreve[net$segs$link]
  slopes <- sapply (slopes + round (runif (nrow (net$segs)), 2),
    function (x) max (0, x))
  net.map (net, segatt=slopes)
  slopemat <- net.maxupslope (net, slopes=slopes)



